### Method

# Gtk.Builder.create_closure

#### Declaration [src]

    GClosure*
    gtk_builder_create_closure (
      GtkBuilder* builder,
      const char* function_name,
      GtkBuilderClosureFlags flags,
      GObject* object,
      GError** error
    )

#### Description [src]

Creates a closure to invoke the function called `function_name`.

This is using the `create_closure()` implementation of `builder`‘s `GtkBuilderScope`.

If no closure could be created, `NULL` will be returned and `error` will be set.

#### Parameters

`function_name` | `const char*`
| name of the function to look up
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`flags` | `GtkBuilderClosureFlags`
| closure creation flags
`object` | `GObject*`
| Object to create the closure with
| Can be `NULL`
| Ownership is not transferred to the callee

#### Return value

Returns: `GClosure*`
A new closure for invoking `function_name`
Ownership of the data is transferred to the caller
Can be `NULL`